ModelElement (Gradle API 9.1.0)
Description: declaration: package: org.gradle.model, interface: ModelElement

Package org.gradle.model

# Interface ModelElement

All Superinterfaces:
  `Named`

All Known Subinterfaces:
  `ApplicationBinarySpec`, `ApplicationSpec`, `AssemblerSourceSet`, `BinaryContainer`, `BinarySpec`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ComponentSpec`, `ComponentSpecContainer`, `CppSourceSet`, `CSourceSet`, `CUnitTestSuiteBinarySpec`, `CUnitTestSuiteSpec`, `DependentSourceSet`, `DependentSourceSet`, `FunctionalSourceSet`, `GeneralComponentSpec`, `GoogleTestTestSuiteBinarySpec`, `GoogleTestTestSuiteSpec`, `HeaderExportingSourceSet`, `LanguageSourceSet`, `LibraryBinarySpec`, `LibrarySpec`, `ModelMap<T>`, `ModelSet<T>`, `NativeBinarySpec`, `NativeComponentSpec`, `NativeExecutableBinarySpec`, `NativeExecutableSpec`, `NativeLibraryBinarySpec`, `NativeLibrarySpec`, `NativeResourceSet`, `NativeTestSuiteBinarySpec`, `NativeTestSuiteSpec`, `ObjectiveCppSourceSet`, `ObjectiveCSourceSet`, `PlatformAwareComponentSpec`, `SharedLibraryBinarySpec`, `SourceComponentSpec`, `StaticLibraryBinarySpec`, `TargetedNativeComponent`, `TestSuiteBinarySpec`, `TestSuiteContainer`, `TestSuiteSpec`, `VariantComponent`, `VariantComponentSpec`, `WindowsResourceSet`

All Known Implementing Classes:
  `org.gradle.api.internal.AbstractBuildableComponentSpec`, `org.gradle.platform.base.component.internal.AbstractComponentSpec`, `org.gradle.language.base.internal.AbstractLanguageSourceSet`, `BaseBinarySpec`, `BaseComponentSpec`, `BaseLanguageSourceSet`, `org.gradle.platform.base.component.internal.DefaultComponentSpec`

@Incubating public interface ModelElement extends Named
Represents an element in a model. Elements are arranged in a hierarchy.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  Returns a human-consumable display name for this element.
  `String`
  `getName()`
  Returns the name of this element.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of this element. Each element has a name associated with it, that uniquely identifies the element amongst its siblings. Some element have their name generated or automatically assigned, and for these elements the name may not be human consumable.
    Specified by:
      `getName` in interface `Named`
    Returns:
      The name. Never null.

  - ### getDisplayName

    String getDisplayName()
    Returns a human-consumable display name for this element.